package com.engine.recruit.enums;

/**
 * @author:dxfeng
 * @createTime: 2023/09/27
 * @version: 1.0
 */
public enum InterviewOperateTypeEnum {
    /**
     * 面试操作类型
     */
    EVALUATE("evaluate", "面试评价"),
    CANCEL("cancel", "取消面试"),
    ARRANGE("arrange", "安排面试"),
    ADJUSTMENT("adjustment", "调整面试");

    InterviewOperateTypeEnum(String operateType, String operateDesc) {
        this.operateType = operateType;
        this.operateDesc = operateDesc;
    }

    private String operateType;
    private String operateDesc;

    public String getOperateType() {
        return operateType;
    }

    public void setOperateType(String operateType) {
        this.operateType = operateType;
    }

    public String getOperateDesc() {
        return operateDesc;
    }

    public void setOperateDesc(String operateDesc) {
        this.operateDesc = operateDesc;
    }

    public static InterviewOperateTypeEnum getOperateType(String operateType) {
        for (InterviewOperateTypeEnum item : InterviewOperateTypeEnum.values()) {
            if (item.operateType.equalsIgnoreCase(operateType)) {
                return item;
            }
        }
        throw new RuntimeException("不支持的操作类型");
    }
}
